import { Point } from "./util/ranges";
import { CountersStack } from "./counters";
export declare type Position = "before" | "after";
export declare type Unbreakable = 'float' | 'intrisicDimension' | 'horizontalLayout' | 'replacedElement' | 'subFragmentor' | false;
export declare function breakAtPoint<T extends HTMLElement>(source: T, breakPoint: Point, side?: Position): T;
export declare function writeCounters(counters: CountersStack, prevElt: HTMLElement, nextElt: HTMLElement): void;
export declare function unbreak(before: HTMLElement, after: HTMLElement, position?: Position): void;
export declare function breakTable(before: HTMLTableElement, after: HTMLTableElement): void;
export declare function unbreakableElement(element: Element): Unbreakable;
